## WebKitDOMHTMLTableCellElement WebKitDOMHTMLTableCellElement |

## Functions

glong | webkit_dom_html_table_cell_element_get_cell_index ()
gchar * | webkit_dom_html_table_cell_element_get_align ()
void | webkit_dom_html_table_cell_element_set_align ()
gchar * | webkit_dom_html_table_cell_element_get_axis ()
void | webkit_dom_html_table_cell_element_set_axis ()
gchar * | webkit_dom_html_table_cell_element_get_bg_color ()
void | webkit_dom_html_table_cell_element_set_bg_color ()
gchar * | webkit_dom_html_table_cell_element_get_ch ()
void | webkit_dom_html_table_cell_element_set_ch ()
gchar * | webkit_dom_html_table_cell_element_get_ch_off ()
void | webkit_dom_html_table_cell_element_set_ch_off ()
glong | webkit_dom_html_table_cell_element_get_col_span ()
void | webkit_dom_html_table_cell_element_set_col_span ()
glong | webkit_dom_html_table_cell_element_get_row_span ()
void | webkit_dom_html_table_cell_element_set_row_span ()
gchar * | webkit_dom_html_table_cell_element_get_headers ()
void | webkit_dom_html_table_cell_element_set_headers ()
gchar * | webkit_dom_html_table_cell_element_get_height ()
void | webkit_dom_html_table_cell_element_set_height ()
gboolean | webkit_dom_html_table_cell_element_get_no_wrap ()
void | webkit_dom_html_table_cell_element_set_no_wrap ()
gchar * | webkit_dom_html_table_cell_element_get_v_align ()
void | webkit_dom_html_table_cell_element_set_v_align ()
gchar * | webkit_dom_html_table_cell_element_get_width ()
void | webkit_dom_html_table_cell_element_set_width ()
gchar * | webkit_dom_html_table_cell_element_get_abbr ()
void | webkit_dom_html_table_cell_element_set_abbr ()
gchar * | webkit_dom_html_table_cell_element_get_scope ()
void | webkit_dom_html_table_cell_element_set_scope ()

## Properties

char * | abbr | Read / Write
char * | align | Read / Write
char * | axis | Read / Write
char * | bg-color | Read / Write
glong | cell-index | Read
char * | ch | Read / Write
char * | ch-off | Read / Write
glong | col-span | Read / Write
char * | headers | Read / Write
char * | height | Read / Write
gboolean | no-wrap | Read / Write
glong | row-span | Read / Write
char * | scope | Read / Write
char * | v-align | Read / Write
char * | width | Read / Write

## Types and Values

struct | WebKitDOMHTMLTableCellElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLTableCellElement

## Implemented Interfaces

WebKitDOMHTMLTableCellElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_table_cell_element_get_cell_index ()

    glong
    webkit_dom_html_table_cell_element_get_cell_index
                                   (WebKitDOMHTMLTableCellElement *self);

`webkit_dom_html_table_cell_element_get_cell_index` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A glong

### webkit_dom_html_table_cell_element_get_align ()

    gchar *
    webkit_dom_html_table_cell_element_get_align
                                   (WebKitDOMHTMLTableCellElement *self);

`webkit_dom_html_table_cell_element_get_align` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_align ()

    void
    webkit_dom_html_table_cell_element_set_align
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

`webkit_dom_html_table_cell_element_set_align` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_axis ()

    gchar *
    webkit_dom_html_table_cell_element_get_axis
                                   (WebKitDOMHTMLTableCellElement *self);

`webkit_dom_html_table_cell_element_get_axis` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_axis ()

    void
    webkit_dom_html_table_cell_element_set_axis
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

`webkit_dom_html_table_cell_element_set_axis` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_bg_color ()

    gchar *
    webkit_dom_html_table_cell_element_get_bg_color
                                   (WebKitDOMHTMLTableCellElement *self);

`webkit_dom_html_table_cell_element_get_bg_color` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_bg_color ()

    void
    webkit_dom_html_table_cell_element_set_bg_color
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

`webkit_dom_html_table_cell_element_set_bg_color` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_ch ()

    gchar *
    webkit_dom_html_table_cell_element_get_ch
                                   (WebKitDOMHTMLTableCellElement *self);

`webkit_dom_html_table_cell_element_get_ch` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_ch ()

    void
    webkit_dom_html_table_cell_element_set_ch
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

`webkit_dom_html_table_cell_element_set_ch` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_ch_off ()

    gchar *
    webkit_dom_html_table_cell_element_get_ch_off
                                   (WebKitDOMHTMLTableCellElement *self);

`webkit_dom_html_table_cell_element_get_ch_off` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_ch_off ()

    void
    webkit_dom_html_table_cell_element_set_ch_off
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

`webkit_dom_html_table_cell_element_set_ch_off` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_col_span ()

    glong
    webkit_dom_html_table_cell_element_get_col_span
                                   (WebKitDOMHTMLTableCellElement *self);

`webkit_dom_html_table_cell_element_get_col_span` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A glong

### webkit_dom_html_table_cell_element_set_col_span ()

    void
    webkit_dom_html_table_cell_element_set_col_span
                                   (WebKitDOMHTMLTableCellElement *self,
                                    glong value);

`webkit_dom_html_table_cell_element_set_col_span` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A glong |

### webkit_dom_html_table_cell_element_get_row_span ()

    glong
    webkit_dom_html_table_cell_element_get_row_span
                                   (WebKitDOMHTMLTableCellElement *self);

`webkit_dom_html_table_cell_element_get_row_span` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A glong

### webkit_dom_html_table_cell_element_set_row_span ()

    void
    webkit_dom_html_table_cell_element_set_row_span
                                   (WebKitDOMHTMLTableCellElement *self,
                                    glong value);

`webkit_dom_html_table_cell_element_set_row_span` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A glong |

### webkit_dom_html_table_cell_element_get_headers ()

    gchar *
    webkit_dom_html_table_cell_element_get_headers
                                   (WebKitDOMHTMLTableCellElement *self);

`webkit_dom_html_table_cell_element_get_headers` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_headers ()

    void
    webkit_dom_html_table_cell_element_set_headers
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

`webkit_dom_html_table_cell_element_set_headers` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_height ()

    gchar *
    webkit_dom_html_table_cell_element_get_height
                                   (WebKitDOMHTMLTableCellElement *self);

`webkit_dom_html_table_cell_element_get_height` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_height ()

    void
    webkit_dom_html_table_cell_element_set_height
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

`webkit_dom_html_table_cell_element_set_height` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_no_wrap ()

    gboolean
    webkit_dom_html_table_cell_element_get_no_wrap
                                   (WebKitDOMHTMLTableCellElement *self);

`webkit_dom_html_table_cell_element_get_no_wrap` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gboolean

### webkit_dom_html_table_cell_element_set_no_wrap ()

    void
    webkit_dom_html_table_cell_element_set_no_wrap
                                   (WebKitDOMHTMLTableCellElement *self,
                                    gboolean value);

`webkit_dom_html_table_cell_element_set_no_wrap` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gboolean |

### webkit_dom_html_table_cell_element_get_v_align ()

    gchar *
    webkit_dom_html_table_cell_element_get_v_align
                                   (WebKitDOMHTMLTableCellElement *self);

`webkit_dom_html_table_cell_element_get_v_align` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_v_align ()

    void
    webkit_dom_html_table_cell_element_set_v_align
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

`webkit_dom_html_table_cell_element_set_v_align` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_width ()

    gchar *
    webkit_dom_html_table_cell_element_get_width
                                   (WebKitDOMHTMLTableCellElement *self);

`webkit_dom_html_table_cell_element_get_width` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_width ()

    void
    webkit_dom_html_table_cell_element_set_width
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

`webkit_dom_html_table_cell_element_set_width` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_abbr ()

    gchar *
    webkit_dom_html_table_cell_element_get_abbr
                                   (WebKitDOMHTMLTableCellElement *self);

`webkit_dom_html_table_cell_element_get_abbr` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_abbr ()

    void
    webkit_dom_html_table_cell_element_set_abbr
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

`webkit_dom_html_table_cell_element_set_abbr` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_scope ()

    gchar *
    webkit_dom_html_table_cell_element_get_scope
                                   (WebKitDOMHTMLTableCellElement *self);

`webkit_dom_html_table_cell_element_get_scope` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_scope ()

    void
    webkit_dom_html_table_cell_element_set_scope
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

`webkit_dom_html_table_cell_element_set_scope` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

## Types and Values

### struct WebKitDOMHTMLTableCellElement

    struct WebKitDOMHTMLTableCellElement;

## Property Details

### The `“abbr”` property

      “abbr”                     char *

read-write gchar* HTMLTableCellElement:abbr.

Owner: WebKitDOMHTMLTableCellElement

Flags: Read / Write

Default value: ""

### The `“align”` property

      “align”                    char *

read-write gchar* HTMLTableCellElement:align.

Owner: WebKitDOMHTMLTableCellElement

Flags: Read / Write

Default value: ""

### The `“axis”` property

      “axis”                     char *

read-write gchar* HTMLTableCellElement:axis.

Owner: WebKitDOMHTMLTableCellElement

Flags: Read / Write

Default value: ""

### The `“bg-color”` property

      “bg-color”                 char *

read-write gchar* HTMLTableCellElement:bg-color.

Owner: WebKitDOMHTMLTableCellElement

Flags: Read / Write

Default value: ""

### The `“cell-index”` property

      “cell-index”               glong

read-only glong HTMLTableCellElement:cell-index.

Owner: WebKitDOMHTMLTableCellElement

Flags: Read

Default value: 0

### The `“ch”` property

      “ch”                       char *

read-write gchar* HTMLTableCellElement:ch.

Owner: WebKitDOMHTMLTableCellElement

Flags: Read / Write

Default value: ""

### The `“ch-off”` property

      “ch-off”                   char *

read-write gchar* HTMLTableCellElement:ch-off.

Owner: WebKitDOMHTMLTableCellElement

Flags: Read / Write

Default value: ""

### The `“col-span”` property

      “col-span”                 glong

read-write glong HTMLTableCellElement:col-span.

Owner: WebKitDOMHTMLTableCellElement

Flags: Read / Write

Default value: 0

### The `“headers”` property

      “headers”                  char *

read-write gchar* HTMLTableCellElement:headers.

Owner: WebKitDOMHTMLTableCellElement

Flags: Read / Write

Default value: ""

### The `“height”` property

      “height”                   char *

read-write gchar* HTMLTableCellElement:height.

Owner: WebKitDOMHTMLTableCellElement

Flags: Read / Write

Default value: ""

### The `“no-wrap”` property

      “no-wrap”                  gboolean

read-write gboolean HTMLTableCellElement:no-wrap.

Owner: WebKitDOMHTMLTableCellElement

Flags: Read / Write

Default value: FALSE

### The `“row-span”` property

      “row-span”                 glong

read-write glong HTMLTableCellElement:row-span.

Owner: WebKitDOMHTMLTableCellElement

Flags: Read / Write

Default value: 0

### The `“scope”` property

      “scope”                    char *

read-write gchar* HTMLTableCellElement:scope.

Owner: WebKitDOMHTMLTableCellElement

Flags: Read / Write

Default value: ""

### The `“v-align”` property

      “v-align”                  char *

read-write gchar* HTMLTableCellElement:v-align.

Owner: WebKitDOMHTMLTableCellElement

Flags: Read / Write

Default value: ""

### The `“width”` property

      “width”                    char *

read-write gchar* HTMLTableCellElement:width.

Owner: WebKitDOMHTMLTableCellElement

Flags: Read / Write

Default value: ""